2009 with Google Wave

Friday, January 1st, 2010

soon to replace email/chat/search etc.?

If you can see this, then you might need a Flash Player upgrade or you need to install Flash Player if it's missing. Get Flash Player from Adobe.

(credit: getwhirled)